#define ledRot 11
#define ledBlau 10
#define ledGruen 9

//Konstante für die Pause
const int PAUSE = 1000;

void setup() {
  pinMode(ledRot, OUTPUT);
  pinMode(ledBlau, OUTPUT);
  pinMode(ledGruen, OUTPUT);
}

//Funktion zum setzen eines PWM Wertes an der RGB LED
void setLEDsValues(int valR, int valB, int valG) {
  analogWrite(ledRot, valR);
  analogWrite(ledBlau, valB);
  analogWrite(ledGruen, valG);
}

void loop() {
  //Rot
  setLEDsValues(255, 0, 0);
  delay(PAUSE);
  //Blau
  setLEDsValues(0, 255, 0);
  delay(PAUSE);
  //Grün
  setLEDsValues(0, 0, 255);
  delay(PAUSE);

  //Farben mischen
  setLEDsValues(128, 0, 55);
  delay(PAUSE);
}
