//der Drehpotentiometer ist
//am analogen Pin A0 angeschlossen
#define rotaryResistor A0

//Feld für das speichern des
//Wertes für den Drehpoti
int value = 0;

void setup() {
  //begin der seriellen Kommunikation
  //mit 9600 baud
  Serial.begin(9600);
  //definieren das der Pin A0
  //als Eingang dient
  pinMode(rotaryResistor, INPUT);
}

void loop() {
  //lesen des aktuellen Wertes vom Pin A0
  value = analogRead(rotaryResistor);
  //ausgeben des Wertes auf 
  //der seriellen Schnittstelle
  Serial.println(value);
  //einlegen einer kleinen Pause 
  //von 25 Millisekunden
  delay(25);
}
