//Temperatursensor LM35DZ am
//analogen Pin A0 angeschlossen
#define lm35dz A3


int value = 0;

const int AVERAGE = 50;

void setup() {
  //begin der seriellen Kommunikation
  //mit 9600 baud
  Serial.begin(9600);
  //definieren das der Pin des Sensors
  //als Eingang dient
  pinMode(lm35dz, INPUT);

  analogReadResolution(12);
}

void loop() {
  //Den analogen Wert des Temperatursensors lesen.
  int temperature = 0;
  for (int i = 0; i < AVERAGE; i++) {
    value = analogRead(lm35dz);
    //temperature += (125 * value) >> 8;
    temperature += map(value, 0, 4095, 0, 100);
    delay(10);
  }

  temperature /= AVERAGE;

  //Auf der seriellen Schnittstelle die berechnete Temperatur
  //ausgeben.
  Serial.println("Temperatur: " + String(temperature) + "°C");
  //eine kleine Pause von 0.5 Sekunden einlegen.
  delay(500);
}