#include <Bounce2.h>

//Taster am digitalen Pin D8 angeschlossen
#define button 8

//erstellen eines Button Objektes
Bounce2::Button btn = Bounce2::Button();

void setup() {
  //begin der seriellen Kommunikation mit 9600 baud
  Serial.begin(9600);
  //verbinden des Button Objektes mit dem Pin und
  //definieren das dieser über den internen 10 kOhm
  //Widerstand angeschlossen ist
  btn.attach(button, INPUT_PULLUP);
  //Intervall für das entprellen auf 5 Millisekunden
  btn.interval(5);
  //Wenn der Taster gedrückt ist wird dieses als LOW
  //interpretiert.
  btn.setPressedState(LOW);
}

void loop() {
  //aktualisieren des Button Objektes
  btn.update();
  
  //Wenn der Taster gedrückt ist, dann...
  if (btn.fell()) {
    Serial.println("Taster gedrückt!");
  }

  //Wenn der Taster wieder losgelassen wird, dann...
  if (btn.rose()) {
    Serial.println("Taster losgelassen!");
  }
}