//Bibliothek zum ansteuern des LCD-Displays
#include <LiquidCrystal_I2C.h>

//initialisieren eines Objektes vom Typ LiquidCrystal_I2C
LiquidCrystal_I2C lcd(0x27, 16, 2);

void setup() {
  //begin der kommunikation mit dem konfigurierten LCD-Display
  lcd.init();
  //aktivieren der Hintergrundbeleuchtung
  lcd.backlight();
}

void loop() {
  //setzen des Cursors an die Spalte 0 (erster Parameter) und Zeile 0 (zweiter Parameter)
  lcd.setCursor(0, 0);
  //Ausgeben der Zahlen
  lcd.print("0123456789012345");
  //setzen des Cursors an die Spalte 0 (erster Parameter) und Zeile 1 (zweiter Parameter)
  lcd.setCursor(0, 1);
  //Ausgeben von Sonderzeichen
  lcd.print("()[]!?$%&/=+-_,:");
}
