//Drehpotentiometer am analogen Pin A0 angeschlossen
#define rotaryResistor A0
//LED am digitalen PWM Pin D3 angeschlossen
#define led 3

void setup() {
  //der Pin A0 als Eingang definieren
  pinMode(rotaryResistor, INPUT);
  //der Pin D3 als Ausgang definieren
  pinMode(led, OUTPUT);
}

void loop() {
  //auslesen des aktuellen Wertes vom Drehpoti
  int value = analogRead(rotaryResistor);
  //mappen des gelesenen Wertes 
  //von dem Gültigkeitsbereich eines analogen Wertes 
  //0 bis 1023 auf den Gültigkeitsbereich 
  //eines PWM Signals von 0 bis 255
  int ledBrigthness = map(value, 0,1023, 0,255);
  //schreiben des ermittelten Wertes an den Pin der LED
  analogWrite(led, ledBrigthness);
  //einlegen einer kleinen Pause von 25 Millisekunden
  delay(25);
}
